<!DOCTYPE html>
<html lang="en">

<head>
    <?php
    include 'includes/head.php';
    ?>
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Add products</h1>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <!-- /.col -->
                        <div class="col-md-12 col-sm-12 col-lg-12 col-12">
                            <div class="card card-primary card-outline">
                                <form id="Add_Product">
                                    <div class="card-body">
                                        <div class="form-group">
                                            <label>Product name</label>
                                            <input class="form-control" type="text" name="name" placeholder="Product name" required>
                                        </div>
                                        <div class="form-group">
                                            <label>Amount (₦)</label>
                                            <input class="form-control" type="number" name="amount">
                                        </div>
                                        <div class="form-group">
                                            <label>Product image</label>
                                            <input class="form-control" type="file" id="file_to_upload" accept="image/*">
                                        </div>
                                        <div class="form-group">
                                            <label>Category</label>
                                            <select class="form-control" name="category">
                                                <?php
                                                foreach ($prodcuct_cat_arr as $cats => $cat_name) {
                                                ?>
                                                    <option value="<?= $cats ?>"><?= $cat_name ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="form-group daily_earn">
                                            <label>Daily earning (₦)</label>
                                            <input class="form-control" type="number" name="daily">
                                        </div>
                                        <div class="form-group">
                                            <label>Duration (Days)</label>
                                            <input class="form-control" type="number" name="days">
                                        </div>
                                        <div class="form-group">
                                            <label>Invite Bonus (₦)</label>
                                            <input class="form-control" type="number" name="invite_bonus">
                                        </div>
                                        <div class="form-group">
                                            <label>Buy Limit</label>
                                            <input class="form-control" type="number" value="3" name="buy_limit">
                                        </div>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">
                                        <div class="float-right">
                                            <button onclick="AddProduct('btn1', 'btn2', 'Add_Product','Product added successfully')" type="button" id="btn1" class="btn btn-primary"><i class="far fa-envelope"></i>
                                                <c id="btn_text">Add</c>
                                            </button>
                                            <button id="btn2" disabled type="button" class="btn btn-warning loading">
                                                Please wait, this may take a little while <i class="fa fa-spinner fa-spin"></i>
                                            </button>
                                        </div>
                                    </div>
                                    <input class="form-control" type="hidden" name="product_img" id="p_file">
                                    <input class="form-control" type="hidden" id="file_check">
                                </form>
                                <!-- /.card-footer -->
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <?php
    include 'includes/footer.php';
    ?>

    <script>
        function AddProduct(btn1, btn2, action, res) {
            var x = 0;
            var msg = '';
            $("#" + btn1 + ",#" + btn2).toggle();

            var formData = "key=" + action + "&" + $("#" + action).serialize() + "&step=a";
            $.get("class.php", formData, function(checker) {
                if (checker == 1) {
                    var fileName = $("#p_file").val()
                    if (fileName == "") {
                        error("Choose product image");
                        return;
                    }
                    var image_url = "../products/" + fileName
                    $.get(image_url)
                        .done(function() {
                            $("#file_check").val(1)
                            x = 1;
                        }).fail(function() {
                            $("#file_check").val(0)



                            var fd = new FormData();
                            var files = $("#file_to_upload")[0].files;
                            if (files.length > 0) {
                                fd.append("file", files[0]);
                                $.ajax({
                                    url: "uploadpop.php",
                                    type: "post",
                                    data: fd,
                                    contentType: false,
                                    processData: false,
                                    success: function(response) {
                                        res = response;
                                        if (res == 1) {
                                            $("#file_check").val(1)
                                            x = 1;
                                        } else {
                                            $("#" + btn1 + ",#" + btn2).toggle();
                                            error(res);
                                        }
                                    },
                                });
                            } else {
                                $("#" + btn1 + ",#" + btn2).toggle();
                                error("Choose a file to upload", "error");
                            }


                        })


                    var formData = "key=" + action + "&" + $("#" + action).serialize();
                    $.get("class.php", formData, function(data) {
                        if (data == 1) {
                            $("#" + btn1 + ",#" + btn2).toggle();
                            success(res);
                        } else {
                            $("#" + btn1 + ",#" + btn2).toggle();
                            error(data);
                        }
                    });





                } else {
                    $("#" + btn1 + ",#" + btn2).toggle();
                    error(checker);
                }
            });











        }




        $('input[type="file"]').change(function(e) {
            $("#p_file").val('')
            var fileName = e.target.files[0].name;
            $("#p_file").val(fileName)
        });
    </script>
</body>

</html>