
function Form(action) {
    event.preventDefault();

    var btn = action + "_btn";
    var text = $("#" + btn).text();
    Loadbtn(btn, text);

    // Use FormData to handle file uploads
    var formData = new FormData($("#" + action)[0]);

    // Append additional data if needed
    formData.append("key", action);

    $.ajax({
        url: '../class.php/',
        type: 'POST',
        data: formData,
        contentType: false,
        processData: false,
        cache: false,
        success: function (res) {
            console.log(res);
            Loadbtn(btn, text, 2);
            var res = JSON.parse(res);
            var status = res.status;
            var message = res.message;
            if (status == "success") {
                if (res.hasOwnProperty('data')) {
                    var data = res.data;
                    if (data.hasOwnProperty('location')) {
                        var loc = data.location;
                        if (loc != "") {
                            $("#redr_add").val(loc);
                        }
                    }
                }
                if (message != "") {
                    success(message);
                }
            } else {
                $("#redr_add").val('');
                error_msg(message);
            }
        },
        error: function (xhr, status, error) {
            Loadbtn(btn, text, 2);
            error_msg("Internal error occurred!");
            if (status === 'parseerror') {
                console.log('Response is not valid JSON:', xhr.responseText);
            } else {
                console.log('Other error occurred:', error);
            }
        }
    });
}
function isEmail(email) {
    var emailRegex = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
    if (emailRegex.test(email)) {
        return true;
    } else {
        return false;
    }
}

function success(msg, title = 'Success!') {
    Swal.fire({
        icon: 'success',
        title: title,
        text: msg,
        allowOutsideClick: false,
    }).then((result) => {
        if (result.isConfirmed) {
            var loc = $("#redr_add").val();
            if (loc != "") {
                if (loc == "reload") {
                    location.reload();
                } else {
                    location.href = loc;
                }
            }
        }
    });
}
function error_msg(msg, title = 'Failed!') {
    Swal.fire({
        icon: 'error',
        title: title,
        text: msg,
        allowOutsideClick: false,
    }).then((result) => {
        if (result.isConfirmed) {
            var loc = $("#redr_add").val();
            if (loc != "") {
                if (loc == "reload") {
                    location.reload();
                } else {
                    location.href = loc;
                }
            }
        }
    });
}

function error(msg, title = 'Failed!') {
    Swal.fire({
        icon: 'error',
        title: title,
        text: msg,
        allowOutsideClick: false,
    }).then((result) => {
        if (result.isConfirmed) {
            var loc = $("#redr_add").val();
            if (loc != "") {
                if (loc == "reload") {
                    location.reload();
                } else {
                    location.href = loc;
                }
            }
        }
    });
}

function getNumber(_str) {
    // _str = toString(_str);
    var arr = _str.split('');
    var out = new Array();
    for (var cnt = 0; cnt < arr.length; cnt++) {
        if (isNaN(arr[cnt]) == false && arr[cnt] != ".") {
            out.push(arr[cnt]);
        }
    }
    return Number(out.join(''));
}
function Amount(num, step = 1) {
    if (step == 1) {
        var num_str = getNumber(num);
        if (num == 0) {
            return '';
        } else {
            return num_str.toLocaleString();
        }
    } else {
        return parseInt(num.replace(/,/g, ''));
    }
}

function number_format(amount) {
    if (amount > 0) { } else {
        amount = 0
    }
    return amount.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
}


function Loadbtn(id, text, step = 1) {
    if (step == 1) {
        $("#" + id).attr("disabled", true)
        $("#" + id).html("Processing...")
    } else {
        $("#" + id).attr("disabled", false)
        $("#" + id).html(text)
    }
}


function Copy(id) {

    /* Copy text into clipboard */
    var text = $("#" + id).text()
    navigator.clipboard.writeText(text);
    success("Copied to clipboard!");
}
function Copy2(text) {
    navigator.clipboard.writeText(text);
    success("Copied to clipboard!");
}
