<!DOCTYPE html>
<html lang="en">

<head>
    <?php
    include 'includes/head.php';
    if (isset($_GET['action'])) {
        $action = $_GET['action'];
        $id = $_GET['pid'];
        $sqlstr = "SELECT id FROM product WHERE id = ?";
        $stmt = $conn->prepare($sqlstr);
        $stmt->bind_param("i", $id);
        $stmt->execute();
        $result = $stmt->get_result();
        $delCount = $result->num_rows;
        if ($delCount > 0) {

            if ($action == "delete") {
                mysqli_query($conn, "DELETE FROM product WHERE id = '$id'");
                header('location: plans.php');
                exit;
            } elseif ($action == "undelete") {
                $sqlstr = "UPDATE product SET del_ymd = '',del_date = '' WHERE id = '$id'";
                $stmt = $conn->prepare($sqlstr);
                if ($stmt->execute()) {
                    header('location: plans.php');
                    exit;
                }
            } elseif ($action == "sold") {
                $sqlstr = "UPDATE product SET sold = 1 WHERE id = '$id'";
                $stmt = $conn->prepare($sqlstr);
                if ($stmt->execute()) {
                    header('location: plans.php');
                    exit;
                }
            } elseif ($action == "unsold") {
                $sqlstr = "UPDATE product SET sold = 0 WHERE id = '$id'";
                $stmt = $conn->prepare($sqlstr);
                if ($stmt->execute()) {
                    header('location: plans.php');
                    exit;
                }
            } else {
                $sta = 1;
                $tex = 'unlocked';
                if ($action == "lock") {
                    $sta = 0;
                    $tex = 'locked';
                }
                $sqlstr = "UPDATE product SET view = '$sta' WHERE id = '$id'";
                $stmt = $conn->prepare($sqlstr);
                $text = "Plan successfully $tex";
                if ($stmt->execute()) {
                    header('location: plans.php');
                    exit;
                }
            }
        } else {
            header('location: plans.php');
            exit;
        }
    }
    ?>
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1> Edit products</h1>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="loading col-md-6">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title"> Add Plans</h3>

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                    </div>
                                </div>
                                <div class="p-2 card-body p-0">
                                    <ul class="nav nav-pills flex-column">
                                        <li class="nav-item active">
                                            <form id='AddPlan'>
                                                <label>Plan Name</label>
                                                <input type='text' placeholder="Plan Name" name='plan' class='form-control'>
                                                <label>Min. Amount</label>
                                                <input type='number' placeholder="Min. Amount" name='min' class='form-control'>
                                                <label>Max. Amount</label>
                                                <input type='number' placeholder="Max. Amount" name='max' class='form-control'>
                                                <label>Investment Days</label>
                                                <input type='number' value="10" placeholder="Investment Days" name='days' class='form-control'>
                                                <label>Percentage</label>
                                                <input type='number' value="20" placeholder="Percentage" name='percent' class='form-control'><br>

                                                <button id="btn1" onclick="submitForm('btn1', 'btn2', 'AddPlan','Plan Added successfully')" type="button" class="btn btn-success">
                                                    ADD
                                                </button>
                                                <button id="btn2" disabled type="button" class="btn btn-warning loading">
                                                    PLEASE WAIT <i class="fa fa-spinner fa-spin"></i>
                                                </button>
                                            </form>
                                        </li>
                                    </ul>
                                </div>
                                <!-- /.card-body -->
                            </div>
                        </div>
                        <!-- /.col -->
                        <div id="allPlans2" class="col-md-12">
                            <div class="card card-primary card-outline">
                                <div class="card-header">
                                    <h3 class="card-title">All Plans</h3>
                                </div>
                                <style>
                                    .blinking {
                                        animation: blinkingText 1.5s infinite;
                                        color: green;
                                    }

                                    @keyframes blinkingText {
                                        0% {
                                            opacity: 1;
                                        }

                                        50% {
                                            opacity: 0;
                                        }

                                        100% {
                                            opacity: 1;
                                        }
                                    }
                                </style>
                                <!-- /.card-header -->
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>Amount</th>
                                            <th>Daily earning</th>
                                            <th>Days</th>
                                            <th>Invite Bonus</th>
                                            <th>Buy limit per user</th>
                                            <th>Category</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $sql = "SELECT * FROM product ORDER BY amount";
                                        $result = mysqli_query($conn, $sql);
                                        while ($row = mysqli_fetch_array($result)) :
                                            $pid = $row['id'];
                                            extract($row);
                                        ?>
                                            <tr>
                                                <?php
                                                $status = $row['view'];
                                                $image = $row['image'];
                                                $text = "";
                                                if ($status == 0) {
                                                    $text = "(Locked)";
                                                }


                                                if ($sold == 1) {
                                                    $text .= "(Sold out)";
                                                }
                                                ?>
                                                <td>
                                                    <img onclick="$('#fileInput<?= $id ?>').click()" id="uploadImage<?= $id ?>" style="width:50px;height:50px" src="../products/<?= $image ?>">
                                                    <input accept="image/*" type="file" id="fileInput<?= $id ?>" onchange="FileChange(<?= $id ?>,this.files[0])" style="display: none;" />
                                                    <?= $row['name'] . $text ?>
                                                </td>
                                                <td>₦<?= number_format($row['amount'], 2) ?></td>
                                                <td>₦<?= number_format($row['daily'], 2) ?></td>
                                                <td><?= $row['days'] ?> days</td>
                                                <td>₦<?= number_format($row['invite_bonus'], 2) ?></td>
                                                <td><?= $row['buy_limit'] ?></td>
                                                <td><?= $prodcuct_cat_arr[$category] ?></td>
                                                <td>
                                                    &nbsp;
                                                    <a href="javascript:;" onclick="editPlan(<?= $pid ?>)" class='fa fa-edit'></a>

                                                    <?php
                                                    if ($status == 1) {
                                                    ?>
                                                        &nbsp;
                                                        <a style="color:red" href="plans.php?action=lock&pid=<?= $pid ?>" onclick="return confirm('Are you sure you want to lock this plan?');">
                                                            <li class="fa fa-lock"></li>
                                                        </a>
                                                    <?php } else { ?>
                                                        &nbsp;
                                                        <a style="color:red" href="plans.php?action=unlock&pid=<?= $pid ?>" onclick="return confirm('Are you sure you want to unlock this plan?');">
                                                            <li class="fa fa-lock-open"></li>
                                                        </a>
                                                    <?php } ?>





                                                    <?php
                                                    if ($sold == 0) {
                                                    ?>
                                                        &nbsp;
                                                        <a style="color:red" href="plans.php?action=sold&pid=<?= $pid ?>" onclick="return confirm('Are you sure you want to mark this product as sold out?');">
                                                            <li class="fa fa-tag"></li>
                                                        </a>
                                                    <?php } else { ?>
                                                        &nbsp;
                                                        <a style="color:red" href="plans.php?action=unsold&pid=<?= $pid ?>" onclick="return confirm('Are you sure you want to make this product available?');">
                                                            <li class="fa fa-tag"></li>
                                                        </a>
                                                    <?php } ?>



                                                    <?php
                                                    if ($del_ymd == "") {
                                                    ?>
                                                        <a style="color:red" href="javascript:;" onclick="DelPlan(<?= $pid ?>)" class='fa fa-trash'></a>
                                                    <?php } else {
                                                        echo "<b class='blinking'>Deletes $del_date</b>"; ?>
                                                        &nbsp;
                                                        <a style="color:red" href="plans.php?action=undelete&pid=<?= $pid ?>" onclick="return confirm('Are you sure you want to cancel the delete of this plan? it will no longer delete');">
                                                            <li class="fa fa-times"></li>
                                                        </a>
                                                    <?php } ?>
                                                </td>
                                            </tr>
                                            <div class="modal fade modal-black" id="loginModal<?= $id ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <h3 class="text-center">Edit Product</h3>
                                                        <div class="modal-header justify-content-center">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                                                <i class="">&times;</i>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <form id='update_plan_form<?= $id ?>'>
                                                                <label>Plan Name</label>
                                                                <input type="hidden" value="<?= $pid ?>" name="pid">
                                                                <input type='text' value="<?= $name ?>" name='name' class='form-control'>
                                                                <label>Amount (₦)</label>
                                                                <input type='number' value="<?= $amount ?>" name='amount' class='form-control'>
                                                                <div class="form-group">
                                                                    <label>Category</label>
                                                                    <select class="form-control" name="category">
                                                                        <?php
                                                                        foreach ($prodcuct_cat_arr as $cats => $cat_name) {
                                                                        ?>
                                                                            <option <?= $cats == $category ? 'selected' : '' ?> value="<?= $cats ?>"><?= $cat_name ?></option>
                                                                        <?php } ?>
                                                                    </select>
                                                                </div>
                                                                <label>Daily earning (₦)</label>
                                                                <input type='number' value="<?= $daily ?>" name='daily' class='form-control'>
                                                                <label>Days</label>
                                                                <input type="number" value="<?= $days ?>" name="days" class='form-control'>
                                                                <label>Invite Bonus</label>
                                                                <input type="number" value="<?= $invite_bonus ?>" name="invite_bonus" class='form-control'>
                                                                <label>Buy Limit</label>
                                                                <input class="form-control" type="number" value="<?= $buy_limit ?>" name="buy_limit">
                                                                <br>
                                                                <center>
                                                                    <input type='button' onclick="updatePlanDetails(<?= $id ?>)" value='Update' class='btn btn-success'>
                                                                </center>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal fade modal-black" id="Deact<?= $id ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <h3 class="text-center">Delete Product</h3>
                                                        <div class="modal-header justify-content-center">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                                                <i class="">&times;</i>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <center>
                                                                <b>Are you sure you want to delete this plan? Note that this is irreversible and every users who have rented this plan will earn nothing</b>
                                                            </center>
                                                            <form id='delete_plan_form<?= $id ?>'>
                                                                <label>Plan Name</label>
                                                                <input type="hidden" value="<?= $pid ?>" name="pid">
                                                                <input readonly type='text' value="<?= $name ?>" name='name' class='form-control'>
                                                                <label>Amount (₦)</label>
                                                                <input readonly type='number' value="<?= $amount ?>" name='amount' class='form-control'>
                                                                <label>Delete date count down</label>
                                                                <input type='datetime-local' name='delete_time' class='form-control'>
                                                                <small style="color:red">If you don't put a count down time, the product will delete immediately.</small>
                                                                <br>
                                                                <center>
                                                                    <input type='button' onclick="DletePlan(<?= $id ?>)" value='Delete' class='btn btn-success'>
                                                                </center>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endwhile ?>
                                    </tbody>
                                </table>
                                <!-- /.card-footer -->
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->








        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <?php
    include 'includes/footer.php';
    ?>
    <script>
        function FileChange(id, selectedFile) {
            // alert(id);
            // return;
            // const selectedFile = this.files[0];
            // Call the function to upload the file
            uploadFile(selectedFile, id);
        }

        function uploadFile(file, idNumber) {
            // alert(idNumber);
            // return;
            const formData = new FormData();
            formData.append("file", file);
            formData.append("id", idNumber);

            $.ajax({
                url: "upload.php", // Replace with the URL of your server.php file
                type: "POST",
                data: formData,
                processData: false,
                contentType: false,
                success: function(response) {
                    if (response == 1) {
                        alert("Successfully changed product image");
                        location.reload();
                    } else {
                        alert(response);
                    }
                    // Handle the server's response here, if needed
                    console.log("Upload successful:", response);
                },
                error: function(error) {
                    // Handle any errors that occur during the upload
                    console.error("Upload error:", error);
                }
            });
        }

        function editPlan(pid) {
            $("#loginModal" + pid).modal('show');
        }

        function DelPlan(pid) {
            $("#Deact" + pid).modal('show');
        }

        function updatePlanDetails(id) {
            var formdata = "key=UpdatePlans&" + $("#update_plan_form" + id).serialize();
            $.get("class.php", formdata).done(function(data) {
                // Success messages
                if (data != 1) {
                    error(data)
                } else {
                    // loadpage('allPlans2')
                    success("Plan updated successfully")
                    setTimeout(function() {
                        location.reload();
                    }, 1000)
                }
            });
        }

        function DletePlan(id) {
            var formdata = "key=DletePlan&" + $("#delete_plan_form" + id).serialize();
            $.get("class.php", formdata).done(function(data) {
                // Success messages
                if (data != 1) {
                    error(data)
                } else {
                    // loadpage('allPlans2')
                    success("Done successfully")
                    setTimeout(function() {
                        location.reload();
                    }, 1000)
                }
            });
        }
    </script>
</body>

</html>