<?php require_once 'controllers/authController.php';
if (!isset($_SESSION['deluxe_admin_id'])) {
    header('location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>BET APP | Contact Us</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- summernote -->
    <link rel="stylesheet" href="plugins/summernote/summernote-bs4.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Send Message</h1>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-3">
                            <?php
                            if (isset($_SESSION['deluxe_admin_id'])) {
                                if ($message_count > 1) {
                                    $msgamt = 'new messages';
                                }
                                if ($message_count == 1) {
                                    $msgamt = 'new message';
                                }
                                if ($message_count < 1) {
                                    $msgamt = 'new messages';
                                }
                                echo '
                             <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">Folders</h3>

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <ul class="nav nav-pills flex-column">
                                        <li class="nav-item active">
                                            <a href="inbox.php" class="nav-link">
                                                <i class="fas fa-inbox"></i> Inbox
                                                <span class="badge bg-primary float-right">' . $message_count . ' ' . $msgamt . '</span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                                <!-- /.card-body -->
                             </div>';
                            }
                            ?>
                        </div>
                        <!-- /.col -->
                        <div class="col-md-9">
                            <div class="card card-primary card-outline">
                                <div class="card-header">
                                    <h3 class="card-title">Send A Message</h3>
                                </div>
                                <!-- /.card-header -->
                                <?php
                                if (isset($_GET['receiver'])) {
                                    $receiver = $_GET['receiver'];
                                }
                                ?>
                                <form id="msg_form">
                                    <div class="card-body">
                                        <div class="form-group">
                                            <label>E-mail</label>
                                            <input class="form-control" name="receiver" type="email" value="<?= $receiver ?>" readonly>
                                        </div>
                                        <div class="form-group">
                                            <input class="form-control" type="text" name="subject" placeholder="Subject:" required>
                                        </div>
                                        <div class="form-group">
                                            <textarea id="compose-textarea" type="text" name="message" placeholder=" Enter your message:" required class="form-control" style="height: 100px"></textarea>
                                        </div>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">
                                        <div class="float-right">
                                            <button id="send_message" type="button" class="btn btn-primary"><i class="far fa-envelope"></i>
                                                Send</button>
                                        </div>
                                    </div>
                                </form>
                                <!-- /.card-footer -->
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- Summernote -->
    <script src="plugins/summernote/summernote-bs4.min.js"></script>
    <!-- SweetAlert2 -->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <!-- Page Script -->
    <!-- <script>
        $(function() {
            //Add text editor
            $('#compose-textarea').summernote()
        })
    </script> -->
    <script>
        $(document).ready(function() {
            var Toast = Swal.mixin({
                toast: true,
                position: 'top-end',
                showConfirmButton: false,
                timer: 3000
            })
            $("#send_message").click(function() {
                var msgformdata = "skey=send_message" + $("#message_form").serialize();
                $.post("action/action4.php", msgformdata).done(function(data) {
                    // Success messages
                    if (data != 0) {
                        Toast.fire({
                            icon: 'error',
                            position: 'center',
                            title: data.trim()
                        })
                    } else {
                        Toast.fire({
                            icon: 'success',
                            position: 'center',
                            title: '&nbsp Message successfully sent!'
                        })
                    }
                });
            });
        });
    </script>
</body>

</html>