<!DOCTYPE html>
<html lang="en">

<head>
    <?php
    include 'includes/head.php';
    if (isset($_GET['id'])) {
    } else {
        header('location:withdrawal.php');
    }
    ?>
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        $id = $_GET['id'];
        $sqlstr = "SELECT * FROM withdrawals WHERE id = ?";
        $stmt = $conn->prepare($sqlstr);
        $stmt->bind_param("i", $id);
        $stmt->execute();
        $result = $stmt->get_result();
        $row = $result->fetch_assoc();
        extract($row);
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">

            <!-- Main content -->
            <section class="content">
                <div class="row">
                    <div class="col-12">
                        <h4>Withdrawals Details</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-12 col-lg-12 col-md-12">
                        <div class="card card-primary card-tabs">
                            <div class="card-header p-0 pt-1">
                                <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="custom-tabs-one-home-tab" data-toggle="pill" href="#custom-tabs-one-home" role="tab" aria-controls="custom-tabs-one-home" aria-selected="true">Details</a>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-body">
                                <div class="tab-content" id="custom-tabs-one-tabContent">
                                    <div class="tab-pane fade show active" id="custom-tabs-one-home" role="tabpanel" aria-labelledby="custom-tabs-one-home-tab">
                                        <form id="UpdateWithdrawal" onsubmit="Form('UpdateWithdrawal')">
                                            <table>
                                                <tr>
                                                    <td><b>User:</b><b style="float: right;"><?= $uid ?></b></td>
                                                </tr>
                                                <?php
                                                $bank = json_decode($bank, true);
                                                foreach ($bank as $key => $val) {
                                                    $head = str_replace('_', ' ', $key);
                                                ?>
                                                    <tr>
                                                        <td><b><?= ucwords($head) ?></b><b style="float: right;"><?= $val ?></b>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                                <tr>
                                                    <td><b>Original Amount</b><b style="float: right;">₦<?= number_format(($original_amt), 2) ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Payout Amount (After charges)</b><b style="float: right;">₦<?= number_format(($amount), 2) ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Date</b><b style="float: right;"><?= $row['date'] ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Status</b><b style="float: right;"><?= $row['status'] ?></b>
                                                    </td>
                                                </tr>
                                            </table>


                                            <input type="hidden" name="new_status" id="with_action" value="Approved">
                                            <input type="hidden" name="gateway" id="with_gateway" value="<?= $gateway ?>">
                                            <input type="hidden" name="with_id" value="<?= $id ?>">
                                            <?php
                                            $have_auto = 1;
                                            if ($gateway == "" || $gateway == "manual") {
                                                $have_auto = 0;
                                            }
                                            ?>

                                            <?php
                                            if ($status == 'Pending') {
                                            ?>
                                                <div class="ActionDiv">
                                                    <button type="button" onclick="Togg('Decline')" class=" btn btn-danger">Decline Payment</button>
                                                    <?php
                                                    if ($have_auto == 1) {
                                                        if ($gateway == "flw") {
                                                            $gateway2 = "flw2";
                                                        } else {
                                                            $gateway2 = "flw";
                                                        }
                                                    ?>
                                                        <button type="button" onclick="Togg('auto','<?= $gateway ?>')" class="btn btn-info">Approve Payment With <?= $all_withdrawal_gateways[$gateway] ?></button>
                                                        <button type="button" onclick="Togg('auto','<?= $gateway2 ?>')" class="btn btn-warning">Approve Payment With <?= $all_withdrawal_gateways[$gateway2] ?></button>
                                                    <?php } ?>
                                                    <button type="button" onclick="Togg('Approved')" class="btn btn-success">Approve Payment Manually</button>
                                                </div>
                                            <?php } ?>



                                            <?php
                                            if ($status == 'Approved') {
                                            ?>
                                                <div class="ActionDiv">
                                                    <button type="button" onclick="Togg('Decline')" class=" btn btn-danger">Reverse Payment</button>
                                                </div>
                                            <?php } ?>
                                            <br><br>
                                            <div class="ReasonDiv loading">
                                                <label>Enter Reason for declining</label>
                                                <textarea name="reason" id="reason_decline" class="form-control"></textarea>
                                            </div><br>
                                            <button type="button" onclick="Canc()" class="loading cancel_btn btn btn-secondary">Cancel</button>
                                            <button type="submit" id="UpdateWithdrawal_btn" class="loading btn btn-success">Submit</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <?php
    include 'includes/footer.php';
    ?>
    <script>
        function Canc() {
            $(".cancel_btn,.ReasonDiv,#UpdateWithdrawal_btn").hide();
            $(".ActionDiv").show();
        }

        function Togg(status, gateway = '') {
            $('#with_action').val(status);
            $('#with_gateway').val(gateway);
            $(".ActionDiv").hide();
            if (status == "Decline") {
                $("#reason_decline").attr('required', true);
                $(".ReasonDiv,.cancel_btn,#UpdateWithdrawal_btn").show();
            } else {
                $("#UpdateWithdrawal_btn,.cancel_btn").show();
                $(".ReasonDiv").hide();
            }
        }
    </script>
</body>

</html>