
// Generate random CAPTCHA code
function generateCaptcha() {
    var captcha = '';
    // var characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    var characters = '0123456789';
    for (var i = 0; i < 6; i++) {
        captcha += characters.charAt(Math.floor(Math.random() * characters.length));
    }
    return captcha;
}

// Generate CAPTCHA image
function generateCaptchaImage() {
    var captchaText = generateCaptcha();
    $("#capt_val").val(captchaText);
    var canvas = document.createElement('canvas');
    canvas.width = 150;
    canvas.height = 50;
    var ctx = canvas.getContext('2d');
    ctx.font = '35px Arial';
    ctx.fillStyle = '#C7910F';
    ctx.fillText(captchaText, 10, 35);
    var captchaImage = canvas.toDataURL('image/png');
    return {
        text: captchaText,
        image: captchaImage
    };
}

// Display CAPTCHA image
function displayCaptcha() {
    var captchaData = generateCaptchaImage();
    $('#captcha').html('<img src="' + captchaData.image + '" alt="CAPTCHA Image">');
    $('#captchaInput').val('');
}

// Initialize CAPTCHA
displayCaptcha();

// Refresh CAPTCHA on click
$('#captcha').on('click', function () {
    displayCaptcha();
});