<?php
// Include your database connection file
include "class.php";

// Check if the page parameter is set
if (isset($_POST['page'])) {
    $page = $_POST['page'];
    $type = $_POST['type'];
    $uid = $_SESSION['uid']; // Assuming you have a user session

    $html = $message = '';
    $arr = array(
        "gift" => "Gifts",
        "rent" => "Product earnings",
        "recharge" => "Deposit transactions",
        "withdrawal" => "Withdrawal transactions",
    );
    // Set the limit and offset based on the page number
    $limit = $totalRows = 20; // Number of items to fetch per request
    $offset = ($page - 1) * $limit;

    // Query to fetch additional data from the database
    $query = "SELECT * FROM history WHERE uid = '$uid' ORDER BY id DESC";
    if (array_key_exists($type, $arr)) {
        $query = "SELECT * FROM history WHERE uid = '$uid' AND type = '$type' ORDER BY id DESC";
        if ($type == 'withdrawal') {
            $all = "";
            $with = "select";
        } elseif ($type == 'recharge') {
            $all = "";
            $depo = "select";
        } else {
            $all = "select";
            $query = "SELECT * FROM history WHERE uid = '$uid' ORDER BY id DESC";
        }
    }
    $totalRows = mysqli_num_rows(mysqli_query($conn, $query));
    $query .= " LIMIT $limit OFFSET $offset";
    if ($stmt = $conn->prepare($query)) {
        if ($stmt->execute()) {
            $result = $stmt->get_result();
            while ($row = $result->fetch_assoc()) {
                extract($row);
                if ($amount < 1) {
                    continue;
                }
                $d2 = date("M d, H:i", strtotime($dateTime));
                $sign = "+";
                if ($dc == "debit") {
                    $sign = "-";
                }
                $status = "Success";
                if ($type == "recharge") {
                    $status = $auth->select14('status', $trx_table, 'id', $trx_id);
                    if ($status == 0) {
                        $header = "Pending Recharge";
                        $header = "Pending";
                    } elseif ($status == 1) {
                        $header = "Successful Recharge";
                        $header = "Arrived";
                    } elseif ($status == 3) {
                        $reason = $auth->select14('reason', $trx_table, 'id', $trx_id);
                        $header = "Failed Recharge";
                        $header = "Failed";
                    }
                } elseif ($type == "withdrawal") {
                    $status = $auth->select14('status', $trx_table, 'id', $trx_id);
                    if ($status == 'Pending') {
                        $header = "Withdrawal Processing";
                        $header = "Processing";
                    } elseif ($status == 'Approved') {
                        $header = "Successful Payment";
                        $header = "Paid";
                    } else {
                        $reason = $auth->select14('reason', $trx_table, 'id', $trx_id);
                        $header = "Payment Failed";
                        $header = "Failed";
                    }
                } elseif ($type == "gift") {
                    $header = "Redeem Gift";
                    $header = "Gift";
                } elseif ($type == "rent") {
                    $pid = $auth->select14('pid', $trx_table, 'id', $trx_id);
                    $name = $auth->select14('name', 'product', 'id', $pid);
                    $header = "Buy $name";
                    $header = "$name";
                    if ($auth->countall3('product', 'id', $pid) == 0) {
                        $header = "Buy Disabled Product";
                        $header = "Product";
                    }
                } elseif ($type == "registration_bonus") {
                    $header = "Welcome Bonus";
                    $header = "Bonus";
                } elseif ($type == "product_income") {
                    $header = "Product Daily Income";
                    $header = "Income";
                } elseif ($type == "team_income") {
                    $xx = $auth->Masked($trx_table);

                    $header = "Team Income from $xx";
                    $header = "Invite Bonus";
                } else {
                    $header = ucwords(str_replace("_", " ", $type));
                }

                $amt_show = "$sign$currency" . number_format($amount, 2);
                $color = 'red';
                if ($sign == "+") {
                    $color = 'green';
                }
                $html .= "




                 <div class='tile'>
                    <div class='status'>$header</div>
                    <div class='datetime'>$d2</div>
                    <div style='color: $color' class='number'>$amt_show</div>
                </div>
                ";
            }
        } else {
            $message = $conn->error;
        }
    } else {
        $message = $conn->error;
    }
    // Check if there are more results to load
    // Assuming $totalRows is the total number of rows for the query
    $moreData = ($offset + $limit) < $totalRows;

    // Prepare response data
    $response = array(
        'status' => 'success',
        'message' => $message,
        'data' => $html,
        'moreData' => $moreData
    );

    // Send response as JSON
    echo json_encode($response);
} else {
    // If the page parameter is not set, return an error response
    $response = array('status' => 'error', 'message' => 'Page parameter is missing');
    echo json_encode($response);
}

                //  <div class='tile'>
                //     <div class='status'>$header</div>
                //     <div class='datetime'>$d2</div>
                //     <div style='color: $color' class='number'>$amt_show</div>
                // </div>