<?php
include "class.php";
if (!isset($_SESSION["uid"])) {
	header("Location: login.php");
	exit;
}


if (!isset($_SESSION["pay_data"])) {
	header("Location: deposit.php");
	exit;
}
include "includes/alert.php";
?>
<!DOCTYPE html>
<html lang="en">

<head>
	<input type="hidden" id="redr_add">
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Payment</title>
	<style>
		.form-control {
			display: block;
			width: 100%;
			height: calc(1.5em + 0.75rem + 2px);
			padding: 0.375rem 0.75rem;
			font-size: 1rem;
			font-weight: 400;
			line-height: 1.5;
			color: #495057;
			background-color: #fff;
			background-clip: padding-box;
			border: 1px solid #ced4da;
			border-radius: 0.25rem;
			transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
		}

		.form-control:focus {
			color: #495057;
			background-color: #fff;
			border-color: #80bdff;
			outline: 0;
			box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
		}

		.form-control::-ms-expand {
			background-color: transparent;
			border: 0;
		}

		.form-control:-moz-focusring {
			color: transparent;
			text-shadow: 0 0 0 #495057;
		}

		.form-control::placeholder {
			color: #6c757d;
			opacity: 1;
		}

		.form-control:disabled,
		.form-control[readonly] {
			background-color: #e9ecef;
			opacity: 1;
		}

		body {
			font-family: Arial, sans-serif;
			background-color: #f5f5f5;
			/* display: flex; */
			justify-content: center;
			align-items: center;
			margin: 0;
		}

		.container {
			background-color: #fff;
			width: 360px;
			padding: 20px;
			box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
			border-radius: 8px;
		}

		.header {
			text-align: center;
		}

		.header h2 {
			margin: 0;
		}

		.steps {
			display: flex;
			justify-content: space-between;
			margin-top: 10px;
		}

		.step {
			padding: 5px 10px;
			border-radius: 4px;
			background-color: #e0e0e0;
		}

		.step.completed {
			background-color: #4caf50;
			color: white;
		}

		.step.active {
			background-color: #2196f3;
			color: white;
		}

		.payment-info {
			text-align: center;
			margin: 20px 0;
		}

		.payment-info h3 {
			margin: 0;
			font-size: 24px;
			color: #ff5722;
		}

		.expiry-time {
			color: #2196f3;
		}

		.details {
			background-color: #f5f5f5;
			padding: 10px;
			border-radius: 8px;
			margin-bottom: 20px;
		}

		.detail {
			display: flex;
			justify-content: space-between;
			margin-bottom: 10px;
		}

		.detail span {
			font-weight: bold;
		}

		.copy-btn {
			padding: 2px 6px;
			font-size: 12px;
			background-color: #2196f3;
			color: white;
			border: none;
			border-radius: 4px;
			cursor: pointer;
		}

		.note {
			font-size: 12px;
			color: #757575;
			text-align: center;
		}

		.payment-guide {
			background-color: #fff3e0;
			padding: 10px;
			border-radius: 8px;
			margin-bottom: 20px;
		}

		.payment-guide h4 {
			margin-top: 0;
			font-size: 16px;
			color: #ff9800;
		}

		.payment-guide p {
			font-size: 12px;
			color: #d32f2f;
		}

		.confirm-btn {
			width: 100%;
			padding: 10px;
			background-color: #2196f3;
			color: white;
			border: none;
			border-radius: 4px;
			font-size: 16px;
			cursor: pointer;
		}

		.loading {
			display: none;
		}
	</style>
</head>

<body>
	<div class="container">
		<div class="header">
			<h2>Payment Checkout</h2>
			<?php
			$data = $_SESSION['pay_data'];
			// print_r($data);
			// exit;
			extract($data);
			$expires = date("M d, Y, H:i:s", strtotime("+5 minutes"));
			$now = date('ymdHis');
			$exp_ymd = date('ymdHis', strtotime($expires));
			$order_id = $narration;
			?>
		</div>
		<input id="i_have_paid" value="0" type="hidden">
		<input id="go_confirm" value="1" type="hidden">
		<div class="payment-info">
			<h3><?= $currency . number_format($amount, 2) ?></h3>
			<p class="count1">Pay into the account the account below.</p>
		</div>
		<div class="p_g details">
			<div class="detail">
				<span>Amount:</span> <b><?= $currency . number_format($amount, 2) ?></b>
			</div>
			<div class="detail">
				<span>Name:</span> <b><?= $auth->Web('acc_name') ?></b>
			</div>
			<div class="detail">
				<span>Name:</span> <b><?= $auth->Web('bank_name') ?></b>
			</div>
			<div class="detail">
				<span>Account:</span> <b id="acc" style="margin-right:-100px !important"><?= $auth->Web('acc_no') ?></b> <button onclick="Copy('acc')" class="copy-btn">copy</button>
			</div>
			<div class="detail">
				<span>Narration Code:</span> <b id="narration_code" style="margin-right:-100px !important"><?= $narration ?></b> <button onclick="Copy('narration_code')" class="copy-btn">copy</button>
			</div>
		</div>
		<div class="p_g payment-guide">
			<h4>Payment Guide</h4>
			<p>1. Make your payment into the given account details ONLY! using the code: <b><?= $narration ?></b> as your payment narration/reference</p>
			<p>2. Click the 'I have made this bank transfer' button below after you have made the payment.</p>
			<p>3. Enter the Account Name from which you have made the payment.</p>
			<p>4. Click the 'Confirm payment' button to confirm your payment.</p>
		</div>
		<button onclick="Pay1(this)" class="p_g paid_btn confirm-btn">I have made this bank transfer</button>
		<div class="paid_div" style="display: none">
			<label>Enter Sender Account Name</label>
			<input type="text" name="src_acc" id="src_acc" class="form-control">
			<br>
			<button onclick="Paid()" class="p_g paid_btn confirm-btn">Confirm payment</button>
		</div>
		<button class="p_g loading count2 confirm-btn">Confirming payment... <b id="countdown2" class="text-danger">30m 00s</b></button>
		<br>
		<br>
		<center>
			<a href="deposit.php">Return back</a>
		</center>
	</div>


	<script>
		function Pay1(x) {
			$(x).hide();
			$('.paid_div').show();
		}

		function Paid() {
			var src_acc = $("#src_acc").val();
			if (src_acc == "") {
				error("Sender Account Name is required");
				return;
			}
			$("#i_have_paid").val(1);
			$(".paid_btn,.count1").hide();
			$(".count2").show();
			// Set the target date to 5 minutes from now
			var targetDate = new Date().getTime() + (5 * 60 * 1000);

			// Update the countdown every second
			var countdown = setInterval(function() {
				// Get the current date and time
				var currentDate = new Date().getTime();

				// Calculate the time difference
				var timeDifference = targetDate - currentDate;

				// Calculate minutes and seconds
				var minutes = Math.floor((timeDifference % (1000 * 60 * 60)) / (1000 * 60));
				var seconds = Math.floor((timeDifference % (1000 * 60)) / 1000);

				// Display the countdown
				var countdownText = minutes + "m " + seconds + "s";
				if (timeDifference <= 0) {
					clearInterval(countdown);
					countdownText = "Confirming...";
					$("#go_confirm").val(0);
					$(".count2").html("Your payment will still be confirmed if you have made payments before the payment expired");
				}
				// Update the content of the button
				$("#countdown2").text(countdownText);

			}, 1000); // Update every second
		}
		$(document).ready(function() {
			// Function to be executed every 2 seconds
			function ConfirmPayment() {
				var x = $("#go_confirm").val();
				if (x == 1) {
					var order_id = "<?= $order_id ?>";
					var src_acc = $("#src_acc").val();
					var formData = "key=FetchStatus&narration=" + order_id + "&src_acc=" + src_acc;
					$.post("class.php", formData, function(res) {
						$("#redr_add").val('');
						console.log(res);
						var res = JSON.parse(res);
						var status = res.status;
						var message = res.message;
						if (status == "success") {
							clearInterval(interval);
							var data = res.data;
							if (data.hasOwnProperty('location')) {
								var loc = data.location;
								if (loc != "") {
									$("#redr_add").val(loc);
									// location.href = loc
								}
							}
							if (message != "") {
								success(message);
							}
						}
					})
				}
			}
			ConfirmPayment();
			var interval = setInterval(ConfirmPayment, 2000);
		});
	</script>
</body>

</html>