<?php
include "class.php";
if (!isset($_SESSION["uid"])) {
	header("Location: login.php");
	exit;
}


if (!isset($_SESSION["pay_data"])) {
	header("Location: deposit.php");
	exit;
}
include "includes/alert.php";
?>
<!DOCTYPE html>
<html lang="en">

<head>
	<input type="hidden" id="redr_add">
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Payment</title>
	<style>
		body {
			font-family: Arial, sans-serif;
			background-color: #f5f5f5;
			/* display: flex; */
			justify-content: center;
			align-items: center;
			margin: 0;
		}

		.container {
			background-color: #fff;
			width: 360px;
			padding: 20px;
			box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
			border-radius: 8px;
		}

		.header {
			text-align: center;
		}

		.header h2 {
			margin: 0;
		}

		.steps {
			display: flex;
			justify-content: space-between;
			margin-top: 10px;
		}

		.step {
			padding: 5px 10px;
			border-radius: 4px;
			background-color: #e0e0e0;
		}

		.step.completed {
			background-color: #4caf50;
			color: white;
		}

		.step.active {
			background-color: #2196f3;
			color: white;
		}

		.payment-info {
			text-align: center;
			margin: 20px 0;
		}

		.payment-info h3 {
			margin: 0;
			font-size: 24px;
			color: #ff5722;
		}

		.expiry-time {
			color: #2196f3;
		}

		.details {
			background-color: #f5f5f5;
			padding: 10px;
			border-radius: 8px;
			margin-bottom: 20px;
		}

		.detail {
			display: flex;
			justify-content: space-between;
			margin-bottom: 10px;
		}

		.detail span {
			font-weight: bold;
		}

		.copy-btn {
			padding: 2px 6px;
			font-size: 12px;
			background-color: #2196f3;
			color: white;
			border: none;
			border-radius: 4px;
			cursor: pointer;
		}

		.note {
			font-size: 12px;
			color: #757575;
			text-align: center;
		}

		.payment-guide {
			background-color: #fff3e0;
			padding: 10px;
			border-radius: 8px;
			margin-bottom: 20px;
		}

		.payment-guide h4 {
			margin-top: 0;
			font-size: 16px;
			color: #ff9800;
		}

		.payment-guide p {
			font-size: 12px;
			color: #d32f2f;
		}

		.confirm-btn {
			width: 100%;
			padding: 10px;
			background-color: #2196f3;
			color: white;
			border: none;
			border-radius: 4px;
			font-size: 16px;
			cursor: pointer;
		}

		.loading {
			display: none;
		}
	</style>
</head>

<body>
	<div class="container">
		<div class="header">
			<h2>Payment Checkout</h2>
			<?php
			$data = $_SESSION['pay_data'];
			// print_r($data);
			// exit;
			extract($data);
			$expires = $auth->select14('exp_dateTime', 'virtual_accounts', 'id', $id);
			$status = $auth->select14('status', 'virtual_accounts', 'id', $id);
			$amount = $auth->select14('amount', 'virtual_accounts', 'id', $id);
			$order_id = $auth->select14('initiationTranRef', 'virtual_accounts', 'id', $id);


			$now = date('ymdHis');
			$exp_ymd = date('ymdHis', strtotime($expires));
			?>
		</div>
		<input id="i_have_paid" value="0" type="hidden">
		<input id="go_confirm" value="1" type="hidden">
		<div class="payment-info">
			<h3><?= $currency . number_format($amount, 2) ?></h3>
			<p class="count1">Use this account for this transaction only<br>Account expires in <span class="expiry-time" id="countdown">30m 00s</span></p>
		</div>
		<div class="p_g details">
			<div class="detail">
				<span>Amount:</span> <b><?= $currency . number_format($amount, 2) ?></b>
			</div>
			<div class="detail">
				<span>Name:</span> <b><?= $auth->select14('account_name', 'virtual_accounts', 'id', $id) ?></b>
			</div>
			<div class="detail">
				<span>Bank:</span> <b><?= $auth->select14('bank', 'virtual_accounts', 'id', $id) ?></b>
			</div>
			<div class="detail">
				<span>Account:</span> <b id="acc" style="margin-right:-100px !important"><?= $auth->select14('account_number', 'virtual_accounts', 'id', $id) ?></b> <button onclick="Copy('acc')" class="copy-btn">copy</button>
			</div>
		</div>
		<div class="p_g payment-guide">
			<h4>Payment Guide</h4>
			<p>1. Please complete the payment within the specified time! Otherwise your account will not be credited!</p>
			<p>2. Click the 'I have made this bank transfer' button below after you have made the payment. Your wallet will be automatically credited!</p>
		</div>
		<button onclick="Paid()" class="p_g paid_btn confirm-btn">I have made this bank transfer</button>
		<button class="p_g loading count2 confirm-btn">Confirming payment... <b id="countdown2" class="text-danger">30m 00s</b></button>
		<center>
			<a href="deposit.php">Return back</a>
		</center>
	</div>


	<script>
		$(document).ready(function() {
			// Set the target date
			var targetDate = new Date("<?= $expires ?>").getTime();
			// console.log(targetDate);
			// Update the countdown every second
			var countdown = setInterval(function() {
				var go = $("#i_have_paid").val();
				if (go == 1) {
					clearInterval(countdown);
					return;
				}
				// Get the current date and time
				var currentDate = new Date().getTime();

				// Calculate the time difference
				var timeDifference = targetDate - currentDate;

				// Calculate days, hours, minutes, and seconds
				var days = Math.floor(timeDifference / (1000 * 60 * 60 * 24));
				var hours = Math.floor((timeDifference % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
				var minutes = Math.floor((timeDifference % (1000 * 60 * 60)) / (1000 * 60));
				var seconds = Math.floor((timeDifference % (1000 * 60)) / 1000);

				// Display the countdown
				$("#countdown").html(minutes + "m " + seconds + "s");

				// If the countdown is over, stop the countdown
				if (timeDifference <= 0) {
					clearInterval(countdown);
					$(".count1").html("Payment expired!");
					$("#go_confirm").val(0);
					$(".p_g").hide();
				}
			}, 1000); // Update every second
		});

		function Paid() {
			$("#i_have_paid").val(1);
			$(".paid_btn,.count1").hide();
			$(".count2").show();
			// Set the target date to 5 minutes from now
			var targetDate = new Date().getTime() + (5 * 60 * 1000);

			// Update the countdown every second
			var countdown = setInterval(function() {
				// Get the current date and time
				var currentDate = new Date().getTime();

				// Calculate the time difference
				var timeDifference = targetDate - currentDate;

				// Calculate minutes and seconds
				var minutes = Math.floor((timeDifference % (1000 * 60 * 60)) / (1000 * 60));
				var seconds = Math.floor((timeDifference % (1000 * 60)) / 1000);

				// Display the countdown
				var countdownText = minutes + "m " + seconds + "s";
				if (timeDifference <= 0) {
					clearInterval(countdown);
					countdownText = "Confirming...";
					$("#go_confirm").val(0);
					$(".count2").html("Your order will still be processed if you have made payments before the payment expired");
				}
				// Update the content of the button
				$("#countdown2").text(countdownText);

			}, 1000); // Update every second
		}
		$(document).ready(function() {
			// Function to be executed every 2 seconds
			function ConfirmPayment() {
				var x = $("#go_confirm").val();
				if (x == 1) {
					var order_id = "<?= $order_id ?>";
					var formData = "key=ConfirmPay&order_id=" + order_id;
					$.post("class.php", formData, function(res) {
						$("#redr_add").val('');
						console.log(res);
						var res = JSON.parse(res);
						var status = res.status;
						var message = res.message;
						if (status == "success") {
							clearInterval(interval);
							var data = res.data;
							if (data.hasOwnProperty('location')) {
								var loc = data.location;
								if (loc != "") {
									$("#redr_add").val(loc);
									location.href = loc
								}
							}
							if (message != "") {
								success(message);
							}
						}
					})
				}
			}
			ConfirmPayment();
			var interval = setInterval(ConfirmPayment, 2000);
		});
	</script>
</body>

</html>