<?php

require_once "../class.php";
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");
header('Content-Type: application/json');
$requestMethod = $_SERVER["REQUEST_METHOD"];
$res = 0;
$msg = "An error occured";
$request_body_data = file_get_contents("php://input");
// echo $request_body_data;
// exit;
// Check if data is sent correctly
if ($request_body_data != "") {
    $arr_check = json_decode($request_body_data, true);
    if (!is_array($arr_check)) {
        $result = array("status" => "error", "message" => "Invalid data sent");
        echo json_encode($result);
        header("HTTP/1.0 400");
        exit();
    }
    if (ValidateAPIKey() == 1) {
        $account_number = $arr_check['account_number'];
        $amount = $arr_check['amount'];
        $sessionId = $arr_check['sessionId'];
        $settlementId = $arr_check['settlementId'];
        $response_data = $arr_check['data'];
        $trx_id = $arr_check['trx_id'];
        $details = json_encode($response_data);
        if ($auth->countall5('virtual_accounts', 'id', $trx_id, 'account_number', $account_number) > 0) {
            $uid = $auth->select14('uid', 'virtual_accounts', 'id', $trx_id);
            $initiationTranRef = $auth->select14('initiationTranRef', 'virtual_accounts', 'id', $trx_id);
            $stmt = mysqli_query($conn, "UPDATE virtual_accounts_log SET sessionId='$sessionId', amount ='$amount', details ='$details', status = 1 WHERE settlementId = '$initiationTranRef'");
            if ($stmt) {
                $res = 1;
                $available_balance = $auth->select14('available_balance', 'users', 'uid', $uid);
                $available_balance += $amount;
                $auth->update5('users', 'available_balance', $available_balance, 'uid', $uid);
                $auth->update5('virtual_accounts', 'status', 'paid', 'id', $trx_id);
                $trx = $auth->select14('id', 'virtual_accounts_log', 'settlementId', $initiationTranRef);
                mysqli_query($conn, "UPDATE history SET amount ='$amount' WHERE trx_id = '$trx' AND trx_table = 'virtual_accounts_log'");
            } else {
                $msg = $conn->error;
            }
            $result = array("status" => "success", "message" => "success");
            echo json_encode($result);
            header("HTTP/1.0 200");
            exit();
        } else {
            $result = array("status" => "success", "message" => "Account not found");
            echo json_encode($result);
            header("HTTP/1.0 404");
            exit();
        }
    } else {
        $result = array("status" => "error", "message" => ValidateAPIKey());
        echo json_encode($result);
        header("HTTP/1.0 401");
        exit();
    }
}

function getRequestHeaders($req)
{
    if ($req == 1) {
        return array();
        exit;
    }
    require_once 'validator.php';

    $headers = array();
    foreach ($_SERVER as $key => $value) {
        if (substr($key, 0, 5) <> 'HTTP_') {
            continue;
        }
        $header = str_replace(' ', '-', str_replace('_', ' ', strtolower(substr($key, 5))));
        $headers[$header] = $value;
    }
    $token = "";
    foreach ($headers as $header => $value) {
        if ($header != $req) {
            continue;
        } else {
            $token = $value;
        }
    }

    return $token;
}
function ValidateAPIKey()
{
    global $auth;
    $mid = getRequestHeaders("mid");
    $key = getRequestHeaders("key");
    if ($mid == "") {
        $res = "Merchant ID is required";
    } elseif ($key == "") {
        $res = "API Key is required";
    } elseif ($auth->countall3('website_details', 'mid', $mid) < 1) {
        $res = "Authentication failed, merchant not found";
    } elseif ($auth->countall3('website_details', 'api_key', $key) < 1) {
        $res = "Authentication failed, invalid key";
    } else {
        $res = 1;
    }
    return $res;
}
